Donde están los compiladores de C??

Hola!!, Acabo de instalar el ubuntu 5.04 hace d0s dias. hoy me he bajado un programa el cual hay que compilarlo. Al ejecutar el ./configure, se para nada mas iniciar porque me dice que no encuentra compilador de C. He intentado instalarlo con la aplicacion de ubuntu de gestor de paquetes, pero no soy capaz. Instalo paquetes pero en mi sistema siguen sin estar el cc y el gcc. ¿Alguien me puede ayudar?

Imagen de lviz
+1
0
-1

abre synaptic y busca todo lo referente a gcc(es el compilador de C) g++ (compilador de c++) vienen varias versione sbaja la ultima o busca uno que se llama build-essential y ese instala los compiladores de c y c++
ojala te sirva
|°Vempire°|
www.freewebs.com/pchints

+1
0
-1

|°Vempire°|

Imagen de Anónimo
+1
0
-1

intento instalar esos paquetes y me pide el disco: Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407).
Meto el CD de instalación que tengo, pero al parecer no es ese el que me pide.
Por favor, ayudadme, ya que el compilador de C me hace mucha falta

+1
0
-1
Imagen de lviz
+1
0
-1

Hola otra ves quiero crees que aun no le has puesto mas repositorios, en fin lo que hars sera lo siguiente.
1.ve a esta pagina http://www.guia-ubuntu.org/breezy/ si tu distro es hoary ahi viene la guia para hoary, visita la seccion de repositorios y sigue todo al pie de la letra, ahora despues de hacer esto en tu archivo que te pide, al principio viene algo como:

deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release i386 (20051012)]/ breezy main restricted

Claro que en tu distro debe decir hoary bueno pues solo tienes que poner el simbolo # al principio de la linea, esto hara que cuando se lean los respositorios este lo pase ya que lo tomara como un comentario.

debe quedar algo asi:

#deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release i386 (20051012)]/ breezy main restricted

Guardas cambios (ojo todo es como usuario root) y en una terminal o desde el synaptic das:

sudo apt-get update

En synaptic das recargar.

Espero haberte ayudado.

|°Vempire°|
www.freewebs.com/pchints

+1
0
-1

|°Vempire°|

Imagen de droijals
+1
0
-1

Abre Synaptic -si quieres hacerlo en modo 'gráfico', refresca (actualiza) y luego busca en "Todos" el paquete 'build-essential'.

En consola lo mismo sería un:

$apt-get update (refresca)
$sudo apt-get install build-essential

Este paquete te instalará todo lo necesario.

Suerte!

+1
0
-1